FINGERD(8)

NAME
fingerd - remote user information server

SYNOPSIS
fingerd [-d] [-k] [-s] [-l] [-p filename]

DESCRIPTION
The fingerd utility uses a simple protocol based on that provides an interface to finger(1) at several network sites. It is supposed to return a friendly, human-oriented status report on either the system at the moment or a particular person in depth. There is no required format and the protocol consists mostly of specifying a single “command line”, thus, fingerd can also be used to implement other protocols in conjunction with the -p flag.

The fingerd utility is started by inetd(8), which listens for TCP requests at port 79. Once connected it reads a single command line terminated by a <CRLF> which is passed to finger(1). The fingerd utility closes its connections as soon as the output is finished.

If the line is null (i.e., just a <CRLF> is sent) then finger(1) returns a “default” report that lists all people logged into the system at that moment.

If a user name is specified (e.g., eric<CRLF>) then the response lists more extended information for only that particular user, whether logged in or not. Allowable “names” in the command line include both “login names” and “user names”. If a name is ambiguous, all possible derivations are returned.

The following options may be passed to fingerd as server program arguments in /etc/inetd.conf:

-d  Enable debugging mode. In debugging mode, fingerd will not attempt any network-related operations on stdin, and it will print the full finger command line to stderr before executing it.

-k  Suppress login information. See the description of the -k option in finger(1) for details.

-s  Enable secure mode. Queries without a user name are rejected and forwarding of queries to other remote hosts is denied.

-l  Enable logging. The name of the host originating the query is reported via syslog(3) at LOG_NOTICE priority.

-p  Use an alternate program as the local information provider. The default local program executed by fingerd is finger(1). By specifying a customized local server, this option allows a system manager to have more control over what information is provided to remote sites. If -p is specified, fingerd will also set the environment variable FINGERD_REMOTE_HOST to the name of the host making the request.

SEE ALSO
finger(1), inetd(8)

HISTORY
The fingerd utility appeared in 4.3BSD.